<?php

if ( !defined( 'SMARTY_DIR' ) ) {
	include_once( '../init.php' );
}

include ( 'sessioninc.php' );

define( 'PAGE_ID', 'change_pwd' );

if ( !checkAdminPermission( PAGE_ID ) ) {

	header( 'location: not_authorize.php' );
	exit;
}

$id = $_POST['txtid'];

$old = $_POST['txtoldpwd'];

$new = $_POST['txtnewpwd'];

$con = $_POST['txtconpwd'];


$err = 0;

if ( $old == '' ) {

	$err = OLDPWD_BLANK;
} elseif ( $new == '' ) {

	$err = NEWPWD_BLANK;

} elseif ( $con == '' ) {

	$err = CONFPWD_BLANK;

}

if ( strcmp( $new, $con ) != 0 ) {

	$err = DIFF_PASSWORDS;
}

if ( $err > 0 ) {

	header( 'location: changepwd.php?errid=' . $err );
	exit;

}

$usrname = $osDB->getOne( 'SELECT username FROM ! WHERE id = ? AND password = ?', array( ADMIN_TABLE, $id, md5( $old ) ) );

if ( $usrname != '' ) {

	$osDB->query( 'UPDATE ! SET password = ? WHERE id = ?', array(ADMIN_TABLE, md5( $con ), $id ) );

	if ($config['forum_installed'] != '' && $config['forum_installed'] != 'None') {
	    include_once(FORUM_DIR.$config['forum_installed'] . '_forum.php');
		forum_modifypwd($usrname,$con);
	}

} else {

	header( 'location: changepwd.php?errid='.WRONG_PASSWORD );
	exit;

}

header( 'location: pwdchanged.php' );

exit;

?>